# Uses of Class
org.eclipse.ecf.core.util.Proxy.Type

Packages that use Proxy.Type
Package
Description
org.eclipse.ecf.core.util

## Uses of Proxy.Type in org.eclipse.ecf.core.util

Fields in org.eclipse.ecf.core.util declared as Proxy.Type
Modifier and Type
Field
Description
`static final Proxy.Type`
Proxy.Type.`DIRECT`
`static final Proxy.Type`
Proxy.Type.`HTTP`
`static final Proxy.Type`
Proxy.Type.`SOCKS`
Methods in org.eclipse.ecf.core.util that return Proxy.Type
Modifier and Type
Method
Description
`static Proxy.Type`
Proxy.Type.`fromString(String type)`
`Proxy.Type`
Proxy.`getType()`
Constructors in org.eclipse.ecf.core.util with parameters of type Proxy.Type
Modifier
Constructor
Description
``
`Proxy(Proxy.Type type, ProxyAddress address)`
``
`Proxy(Proxy.Type type, ProxyAddress address, String username, String password)`